Bug 157024 - [new port] devel/libvirt: Toolkit to interact with virtualization capabilities
[new port] devel/libvirt: Toolkit to interact with virtualization capabilities
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bernhard Froehlich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-14 02:30 UTC by jhelfman
Modified: 2011-05-20 15:50 UTC (History)
0 users

See Also:


Attachments
file.shar (18.38 KB, text/plain)
2011-05-14 02:30 UTC, jhelfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jhelfman 2011-05-14 02:30:09 UTC
Add 'libvirt' to portstree.

Builds cleanly in Tinderbox.
http://wiki.freebsd.org/WantedPorts (libvirt)

Fix: Patch attached with submission follows:
Comment 1 jhelfman 2011-05-14 23:29:16 UTC
Be less strict on library versions. Again, clean tinderbox run.

--- libvirt/Makefile.orig	2011-05-14 15:20:26.000000000 -0700
+++ libvirt/Makefile	2011-05-14 15:20:44.000000000 -0700
@@ -23,10 +23,10 @@
  USE_PYTHON_BUILD=	yes
  PLIST_SUB+=	PORTVERSION="-${PORTVERSION}"
  
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl \
-		gcrypt.17:${PORTSDIR}/security/libgcrypt \
-		xml2.5:${PORTSDIR}/textproc/libxml2 \
-		gnutls.40:${PORTSDIR}/security/gnutls
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl \
+		gcrypt:${PORTSDIR}/security/libgcrypt \
+		xml2:${PORTSDIR}/textproc/libxml2 \
+		gnutls:${PORTSDIR}/security/gnutls
  
  .if !defined(WITHOUT_NLS)
  USE_GETTEXT=	yes

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 2 Bernhard Froehlich freebsd_committer 2011-05-16 15:15:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

Thanks a lot! I'll take it and update the wiki.
Comment 3 dfilter freebsd_committer 2011-05-20 15:42:27 UTC
decke       2011-05-20 14:42:15 UTC

  FreeBSD ports repository

  Added files:
    devel/libvirt        Makefile distinfo pkg-descr pkg-plist 
    devel/libvirt/files  patch-src__util__command.c 
  Log:
  A toolkit to interact with the virtualization capabilities of recent versions of
  Linux, and other OSes.
  
  libvirt provides:
  * Remote management using TLS encryption and x509 certificates
  * Remote management authenticating with Kerberos and SASL
  * Local access control using PolicyKit
  * Zero-conf discovery using Avahi multicast-DNS
  * Management of virtual machines, virtual networks and storage
  * Portable client API for Linux, Solaris and Windows
  
  WWW:    http://libvirt.org/
  
  PR:             ports/157024
  Submitted by:   Jason Helfman <jhelfman@experts-exchange.com>
  
  Revision  Changes    Path
  1.1       +54 -0     ports/devel/libvirt/Makefile (new)
  1.1       +2 -0      ports/devel/libvirt/distinfo (new)
  1.1       +14 -0     ports/devel/libvirt/files/patch-src__util__command.c (new)
  1.1       +12 -0     ports/devel/libvirt/pkg-descr (new)
  1.1       +359 -0    ports/devel/libvirt/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Bernhard Froehlich freebsd_committer 2011-05-20 15:43:16 UTC
State Changed
From-To: open->closed

Committed with changes. Thanks!